Find the answer to your Linux question:
Results 1 to 4 of 4
Hi, While trying to build the linux kernel - 2.6.24.2, i get the following error message during initial phase(make menuconfig) : scripts/kconfig/lxdialog/dialog.h:32:20: error: curses.h: No such file or directory <=== ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined! amit4g's Avatar
    Join Date
    Feb 2007
    Location
    Bangalore,India
    Posts
    63

    Unhappy kernel compilation: ncurses issue


    Hi,

    While trying to build the linux kernel - 2.6.24.2,
    i get the following error message during initial phase(make menuconfig) :
    scripts/kconfig/lxdialog/dialog.h:32:20: error: curses.h: No such file or directory <===
    In file included from scripts/kconfig/lxdialog/checklist.c:24:

    It seems that something is wrong with 'ncurses'
    <snip from linux-2.6.24.2/scripts/kconfig/lxdialog/dialog.h>
    #include CURSES_LOC
    <snip from linux-2.6.24.2/scripts/kconfig/lxdialog/dialog.h>

    <snip from linux-2.6.24.2/scripts/kconfig/lxdialog/check-lxdialog.sh>
    # Where is ncurses.h?
    ccflags()
    {
    if [ -f /usr/include/ncurses/ncurses.h ]; then
    echo '-I/usr/include/ncurses -DCURSES_LOC="<ncurses.h>"'
    elif [ -f /usr/include/ncurses/curses.h ]; then
    echo '-I/usr/include/ncurses -DCURSES_LOC="<ncurses/curses.h>"'
    elif [ -f /usr/include/ncurses.h ]; then
    echo '-DCURSES_LOC="<ncurses.h>"'
    else
    echo '-DCURSES_LOC="<curses.h>"'
    fi
    }

    <snip from linux-2.6.24.2/scripts/kconfig/lxdialog/check-lxdialog.sh>

    After looking into the /usr/include directory , i got to know that the header ncurses.h is absent

    On the same machine,i could see an rpm by the name "ncurses-5.5-24.20060715"
    [amit@localhost include]$ rpm -qa|grep -i ncurses
    ncurses-5.5-24.20060715

    [amit@localhost include]$ rpm -qi ncurses-5.5-24.20060715
    Name : ncurses Relocations: (not relocatable)
    Version : 5.5 Vendor: Red Hat, Inc.
    Release : 24.20060715 Build Date: Thu 31 Aug 2006 05:41:08 PM IST
    Install Date: Thu 07 Feb 2008 08:30:07 PM IST Build Host: hs20-bc1-7.build.redhat.com
    Group : System Environment/Libraries Source RPM: ncurses-5.5-24.20060715.src.rpm
    Size : 2829883 License: distributable
    Signature : DSA/SHA1, Thu 18 Jan 2007 09:40:59 PM IST, Key ID 5326810137017186
    Packager : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
    URL : NCURSES - New Curses
    Summary : A terminal handling library
    Description :
    The curses library routines are a terminal-independent method of
    updating character screens with reasonable optimization. The ncurses
    (new curses) library is a freely distributable replacement for the
    discontinued 4.4 BSD classic curses library.

    i tried to install the latest ncurses(version 5.6) downloaded from the site:

    ftp://ftp.gnu.org/gnu/ncurses/ncurses-5.6.tar.gz, but this also failed during the 'make' step

    Now to configure the kernel, i can go through the .config file and edit the parameters there,
    but this would be really a tedious job(though heard that most of the programmers prefer this), as i haven't done it before,hence please guide me here.

    ~amit

  2. #2
    Linux Guru coopstah13's Avatar
    Join Date
    Nov 2007
    Location
    NH, USA
    Posts
    3,149
    you need to install the ncurses development library files through your package manager

  3. #3
    Just Joined! amit4g's Avatar
    Join Date
    Feb 2007
    Location
    Bangalore,India
    Posts
    63
    I tried a lot to find the ncurses-development library for version 5.5 for Redhat 5 over net,but could not

    [root@venus ]]# rpm -qa|grep -i *ncurses*
    ncurses-5.5-24.20060715

    [root@venu ]# locate libncurses.so.5
    /usr/lib/libncurses.so.5
    /usr/lib/libncurses.so.5.5

    on Debian, i guess the package manager is "synaptic", but what is the packet manager over here(redhat 5)?
    i also tried to remove the "ncurses-5.5-24.20060715" which gave me a lot of dependecies issues
    [root@venus ]# rpm -e ncurses-5.5-24.20060715
    error: Failed dependencies:
    libncurses.so.5 is needed by (installed) info-4.8-14.el5.i386
    libncurses.so.5 is needed by (installed) procps-3.2.7-8.1.el5.i386
    libncurses.so.5 is needed by (installed) sqlite-3.3.6-2.i386
    libncurses.so.5 is needed by (installed) crash-4.0-3.14.i386
    -----------------
    -----------------
    so should i go ahead with removing the "ncurses-5.5-24.20060715" and install the latest version,i.e. Version ncurses 5.6 and corrosponding development library ? will there be any bad impact on dependents ?

    ~amit

  4. $spacer_open
    $spacer_close
  5. #4
    Just Joined!
    Join Date
    Feb 2008
    Posts
    4
    I just installed ncurses from source, personally. What's the error you're getting when you try to do that?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •